#
# spec file for package banshee-1
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define have_webkit 0
%define have_boo 0
%define have_mono_243 0
%define have_gpod 0
%define upstream_project 0

Name:           banshee-1
Version:        2.0.0
Release:        0.3.2
License:        MIT
Summary:        A media playback and management application
Group:          Productivity/Multimedia/Sound/Players
Url:            http://banshee-project.org/
Source0:        banshee-%{version}.tar.bz2
Source1:        bundleize-pkg-config.awk
PreReq:         filesystem gconf2
ExcludeArch:    s390 s390x
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  intltool perl-XML-Parser update-desktop-files
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gstreamer010-plugins-base-devel
BuildRequires:  sqlite3-devel
BuildRequires:  gconf-sharp2 glade-sharp2 gtk-sharp2
BuildRequires:  mono-devel mono-zeroconf-devel
BuildRequires:  taglib-sharp-devel >= 2.0.3.5
BuildRequires:  ndesk-dbus ndesk-dbus-glib-devel
BuildRequires:  libmtp-devel
BuildRequires:  notify-sharp
%if %suse_version >= 1130
# gnome-desktop-devel will point to a GNOME 3 version at some point, so when
# possible (ie, on 11.3 and later), prefer a pkgconfig() BuildRequires.
BuildRequires:  pkgconfig(gnome-desktop-2.0)
%else
BuildRequires:  gnome-desktop-devel
%endif

%if %suse_version > 1120
# GIO hardware requirements
BuildRequires:  gkeyfile-sharp-devel gudev-sharp-devel
%else
BuildRequires:  hal-devel ipod-sharp-devel
%endif

%if %suse_version > 1120
%define have_mono_243 1
%endif

%define is_sle11_sp1 %(echo '%distribution' | grep -q SLE_11_SP1 && echo 1 || echo 0)

%if %suse_version > 1120
%define have_gpod 1
BuildRequires:  libgpod-sharp
%endif

%if %suse_version > 1110 || %is_sle11_sp1 == 1
%define have_webkit 1
BuildRequires:  libwebkit-devel >= 1.2.3
%endif

%if %suse_version > 1110
# FIXME SP1 should require gnome-doc-utils-devel, but not sure how
# to differentiate it and 11.1
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gio-sharp-devel gtk-sharp-beans-devel
BuildRequires:  gdata-sharp
BuildRequires:  translation-update-upstream
%endif
%if %suse_version > 1100
%define have_boo 1
BuildRequires:  boo-devel >= 0.8.1
%endif
%if %(echo '%distribution' | grep -Ec '^home:.+:Banshee.*/|^Banshee')
%define upstream_project 1
%endif
# FIXME: is this needed at all anymore with 11.2?
%if %upstream_project == 1
BuildRequires:  mono-addins >= 0.4
%else
BuildRequires:  mono-addins
%endif
Requires:       gstreamer010-plugins-good
Requires:       ndesk-dbus >= 0.5 ndesk-dbus-glib >= 0.3
Requires:       libsqlite3-0
Recommends:     %{name}-lang
Requires:       %{name}-core = %{version}
# Commented out b/c an openSUSE 11.2 user reported that muinshee got selected
# (since it Provides -client too)
#Requires:       %{name}-client = %{version}
Requires:       %{name}-backend-engine-gstreamer = %{version}
Requires:       %{name}-backend-platform-unix = %{version}
%if %suse_version > 1110
Requires:       %{name}-backend-io-gio = %{version}
%endif
%if %suse_version <= 1120
Requires:       %{name}-backend-hal = %{version}
%endif
Recommends:     %{name}-backend-platform-gnome = %{version}
Recommends:     %{name}-client-classic = %{version}
Recommends:     %{name}-extensions-default = %{version}
Recommends:     %{name}-dmp = %{version}
Recommends:     %{name}-dmp-mtp = %{version}
%if 0%{?have_gpod}
Recommends:     %{name}-dmp-apple-devices = %{version}
%endif
Obsoletes:      banshee helix-banshee
Provides:       banshee = %{version} helix-banshee = %{version}

%description
Import, organize, and discover new music with Banshee through its
simple and powerful interface and wide array of innovative features.
Create your own radio stations or listen to a friends' through Last.fm
integration; experience automatic cover art fetching as you listen; and
easily browse, search, and control your media collection.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files
%defattr(-,root,root)
%doc NEWS COPYING AUTHORS README

%package devel
License:        MIT
Summary:        Development package for Banshee
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Requires:       %{name}-extensions-default = %{version}
Requires:       gstreamer010-devel gstreamer010-plugins-base-devel gnome-vfs2-devel gtk2-devel 
Requires:       glib-sharp2 gtk-sharp2 gconf-sharp2
Requires:       ndesk-dbus ndesk-dbus-glib-devel
%if %upstream_project == 0
Requires:       taglib-sharp >= 2.0.3.5 mono-addins
%endif

%description devel
Users who wish to extend Banshee should install this package. It
includes standard Linux development files and other tools for building
extensions and applications on top of the Banshee core application
framework.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files devel
%defattr(-,root,root)
%{_libdir}/banshee/gconf-schema-extractor.exe
%{_libdir}/pkgconfig/banshee-*.pc
%exclude %{_libdir}/banshee/libbanshee.*a
%exclude %{_libdir}/banshee/gstreamer-0.10/libgstequalizer.*a
%if %have_webkit == 1
%exclude %{_libdir}/banshee/libossifer.*a
%endif

%package core
License:        MIT
Summary:        Core Banshee platform libraries, services, and resources
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}

%description core
This package provides core libraries, services, and resources for
building Banshee clients and user experiences.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files core
%defattr(-,root,root)
%dir %{_libdir}/banshee
%dir %{_libdir}/banshee/Extensions
%dir %{_libdir}/banshee/Backends
%dir %{_libdir}/banshee/gstreamer-0.10
%dir %{_datadir}/banshee
%dir %{_datadir}/banshee/audio-profiles
%dir %{_datadir}/banshee/icons
%dir %{_datadir}/banshee/icons/hicolor
%dir %{_datadir}/banshee/icons/hicolor/*
%dir %{_datadir}/banshee/icons/hicolor/*/*
%{_libdir}/banshee/Hyena.dll*
%{_libdir}/banshee/Hyena.Data.Sqlite.dll*
%{_libdir}/banshee/Hyena.Gui.dll*
%{_libdir}/banshee/Migo.dll*
%{_libdir}/banshee/MusicBrainz.dll*
%{_libdir}/banshee/Mono.Media.dll*
%{_libdir}/banshee/Lastfm.dll*
%{_libdir}/banshee/Lastfm.Gui.dll*
%{_libdir}/banshee/Banshee.Core.dll*
%{_libdir}/banshee/Banshee.Services.dll*
%{_libdir}/banshee/Banshee.Services.addins
%{_libdir}/banshee/Banshee.Widgets.dll*
%{_libdir}/banshee/Banshee.ThickClient.dll*
%{_libdir}/banshee/Banshee.CollectionIndexer.dll*
%{_libdir}/banshee/Banshee.exe*
%{_libdir}/banshee/Halie.exe*
%{_libdir}/banshee/Beroe.exe*
%{_datadir}/dbus-1/services/org.bansheeproject.Banshee.service
%{_datadir}/dbus-1/services/org.bansheeproject.CollectionIndexer.service
%{_datadir}/banshee/icons/hicolor/*/categories/source-playlist.png
%{_datadir}/banshee/icons/hicolor/*/categories/source-smart-playlist.png
%{_datadir}/banshee/icons/hicolor/*/actions/media-repeat-all.png
%{_datadir}/banshee/icons/hicolor/*/actions/media-repeat-none.png
%{_datadir}/banshee/icons/hicolor/*/actions/media-repeat-single.png
%{_datadir}/banshee/icons/hicolor/*/actions/encode.png
%{_datadir}/banshee/icons/hicolor/*/emblems//creative-commons*.png
%{_datadir}/icons/hicolor/16x16/apps/media-player-banshee.png
%{_datadir}/icons/hicolor/22x22/apps/media-player-banshee.png
%{_datadir}/icons/hicolor/24x24/apps/media-player-banshee.png
%{_datadir}/icons/hicolor/32x32/apps/media-player-banshee.png
%{_datadir}/icons/hicolor/48x48/apps/media-player-banshee.png
%{_datadir}/icons/hicolor/192x192/apps/media-player-banshee.png
%if %suse_version > 1110
%dir %{_datadir}/gnome/help/banshee
%dir %{_datadir}/gnome/help/banshee/*
%{_datadir}/gnome/help/banshee/*/*
%endif
%if %upstream_project == 1
%{_libdir}/banshee/taglib-sharp.dll*
%{_libdir}/banshee/Mono.Addins*.dll*
%endif

%package backend-engine-gstreamer
License:        MIT
Summary:        GStreamer engine support for Banshee
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}

%description backend-engine-gstreamer
This package provides the playback engine used by Banshee, built on the
GStreamer multimedia framework.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files backend-engine-gstreamer
%defattr(-,root,root)
%{_libdir}/banshee/libbanshee.so
%{_libdir}/banshee/gstreamer-0.10/libgstequalizer.so
%{_libdir}/banshee/Backends/Banshee.GStreamer.dll*
%{_datadir}/banshee/audio-profiles/*.xml

%if %suse_version > 1110

%package backend-io-gio
License:        MIT
Summary:        GIO backend for non-local files for Banshee
Group:          Productivity/Multimedia/Sound/Players
Requires:       gio-sharp
%if %suse_version > 1120
Requires:       gudev-sharp gkeyfile-sharp
Requires:       media-player-info
%endif
Requires:       gtk-sharp-beans
Requires:       %{name} = %{version}

%description backend-io-gio
This package provides support for importing non-local files into
Banshee, eg over a ssh mount or similar.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files backend-io-gio
%defattr(-,root,root)
%{_libdir}/banshee/Backends/gio-sharp*
%{_libdir}/banshee/Backends/gtk-sharp-beans*
%{_libdir}/banshee/Backends/Banshee.Gio.dll*
%endif

%if %suse_version <= 1120

%package backend-hal
License:        MIT
Summary:        HAL backend for Banshee
Group:          Productivity/Multimedia/Sound/Players
Requires:       hal
Requires:       %{name} = %{version}

%description backend-hal
This package provides support for hardware detection using HAL.

Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files backend-hal
%defattr(-,root,root)
%{_libdir}/banshee/Backends/Banshee.Hal.dll*
%endif

%package backend-platform-unix
License:        MIT
Summary:        UNIX platform support for Banshee
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}

%description backend-platform-unix
This package provides many optimizations for UNIX based platforms. In
particular, it provides a POSIX IO layer that performs better than the
default System.IO/.NET IO layer provided in the base banshee-1 package.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files backend-platform-unix
%defattr(-,root,root)
%{_libdir}/banshee/Backends/Banshee.Unix.dll*
%if %suse_version < 1120
%{_libdir}/banshee/Backends/Banshee.Hal.dll*
%endif

%package backend-platform-gnome
License:        MIT
Summary:        GNOME platform support for Banshee
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}
Requires:       %{name}-backend-platform-unix = %{version}

%description backend-platform-gnome
This package provides platform integration with the GNOME Desktop for
Banshee. Most notably it provides a configuration backend to GConf, so
all user settings can be stored there. Other GNOME specific integration
hooks are provided as well.

Users running Banshee on GNOME are recommended to install this package.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files backend-platform-gnome
%defattr(-,root,root)
%{_libdir}/banshee/Backends/Banshee.Gnome.dll*
%{_libdir}/banshee/Backends/Banshee.NowPlaying.X11.dll*
%{_libdir}/banshee/Backends/libbnpx11.so
%{_datadir}/banshee/icons/hicolor/*/actions/media-write-cd.png
%exclude %{_libdir}/banshee/Backends/libbnpx11.*a

%package client-classic
License:        MIT
Summary:        Banshee client providing the classic interface
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}
Provides:       %{name}-client = %{version}

%description client-classic
The Classic Banshee client provides a familiar user interface with a
source list and three-pane layout for browsing and exploring media.
This client is the most feature rich, but does not sacrifice usability.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files client-classic
%defattr(-,root,root)
%{_prefix}/bin/banshee
%{_datadir}/applications/banshee*.desktop
%{_libdir}/banshee/Nereid.exe*

%package client-muinshee
License:        MIT
Summary:        Banshee client modeled after the Muine music player interface
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}
Provides:       %{name}-client = %{version}

%description client-muinshee
The Muinshee Banshee client provides a user interface modeled directly
after the old GNOME Muine media player.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files client-muinshee
%defattr(-,root,root)
%{_prefix}/bin/muinshee
%{_libdir}/banshee/Muinshee.exe*

%package extensions-default
License:        MIT
Summary:        Extra features extending the Banshee Media Player
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}
Requires:       notify-sharp
Requires:       mono-zeroconf
%if %suse_version > 1110
Requires:       gdata-sharp
%endif

%description extensions-default
This package provides a number of useful features for Banshee,
including a Play Queue, Last.fm streaming, Last.fm Audioscrobbling, and
Multimedia Key support. This package is highly recommended as it
greatly enhances the end user experience of Banshee.

Import, organize, and discover new music with Banshee through its
simple and powerful interface and wide array of innovative features.
Create your own radio stations or listen to a friends' through Last.fm
integration; experience automatic cover art fetching as you listen; and
easily browse, search, and control your media collection.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files extensions-default
%defattr(-,root,root)
%{_libdir}/banshee/Extensions/Banshee.AmazonMp3.exe*
%{_datadir}/mime/packages/banshee-amz.xml
%{_bindir}/bamz
%{_libdir}/banshee/Extensions/Banshee.Audiobook.dll*
%{_libdir}/banshee/Extensions/Banshee.InternetRadio.dll*
%{_libdir}/banshee/Extensions/Banshee.Daap.dll*
%{_libdir}/banshee/Extensions/Banshee.CoverArt.dll*
%{_libdir}/banshee/Extensions/Banshee.Emusic.dll*
%{_libdir}/banshee/Extensions/Banshee.FileSystemQueue.dll*
%{_libdir}/banshee/Extensions/Banshee.Fixup.dll*
%{_libdir}/banshee/Extensions/Banshee.Lastfm.dll*
%{_libdir}/banshee/Extensions/Banshee.LastfmStreaming.dll*
%{_libdir}/banshee/Extensions/Banshee.MultimediaKeys.dll*
%{_libdir}/banshee/Extensions/Banshee.NotificationArea.dll*
%{_libdir}/banshee/Extensions/Banshee.PlayQueue.dll*
%{_libdir}/banshee/Extensions/Banshee.NowPlaying.dll*
%{_libdir}/banshee/Extensions/Banshee.AudioCd.dll*
%{_libdir}/banshee/Extensions/Banshee.Podcasting.dll*
%{_libdir}/banshee/Extensions/Banshee.MiniMode.dll*
%{_libdir}/banshee/Extensions/Banshee.Bpm.dll*
%{_libdir}/banshee/Extensions/Banshee.PlayerMigration.dll*
%{_libdir}/banshee/Extensions/Banshee.InternetArchive.dll*
%if %suse_version > 1110
%{_libdir}/banshee/Extensions/Banshee.YouTube.dll*
%{_datadir}/banshee/icons/hicolor/*/categories/youtube.*
%endif
%if %have_mono_243 == 1
%{_libdir}/banshee/Extensions/Banshee.LibraryWatcher.dll*
%endif
%{_datadir}/banshee/icons/hicolor/*/categories/lastfm-*.png
%{_datadir}/banshee/icons/hicolor/*/categories/audiobook.*
%{_datadir}/banshee/icons/hicolor/*/categories/podcast*.png
%{_datadir}/banshee/icons/hicolor/*/categories/radio.*
%{_datadir}/banshee/icons/hicolor/*/categories/internet-archive.*
%{_datadir}/banshee/icons/hicolor/*/categories/amazon-mp3-source.*
%{_datadir}/banshee/icons/hicolor/*/status/podcast*.png
%{_datadir}/banshee/icons/hicolor/*/actions/media-import-audio-cd.png
%if %have_webkit == 1
%if %suse_version <= 1120
%{_libdir}/banshee/libwebkit-1.0.so*
%endif
%{_libdir}/banshee/Banshee.WebBrowser.dll*
%{_libdir}/banshee/libossifer.so
%{_libdir}/banshee/Extensions/Banshee.AmazonMp3.Store.dll*
%{_libdir}/banshee/Extensions/Banshee.Wikipedia.dll*
%{_libdir}/banshee/Extensions/Banshee.MiroGuide.dll*
%{_datadir}/banshee/icons/hicolor/*/categories/wikipedia.*
%{_datadir}/banshee/icons/hicolor/*/categories/amazon-mp3-store-source.*
%{_datadir}/banshee/icons/hicolor/*/categories/miro-guide-source.*
%endif
%{_libdir}/banshee/Extensions/Banshee.Mpris*

%if 0%{?have_boo}

%package extensions-boo
License:        MIT
Summary:        Boo scripting support for Banshee
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}

%description extensions-boo
This package provides the Boo scripting extension, useful for power
users and developers looking to customize and extend the functionality
of Banshee using Boo, the Python-like language for .NET.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files extensions-boo
%defattr(-,root,root)
%{_libdir}/banshee/Extensions/Banshee.BooScript.dll*
%endif

%if 0%{?suse_version} >= 1140

%package extensions-soundmenu
License:        MIT
Summary:        SoundMenu support for Banshee
Group:          Productivity/Multimedia/Sound/Players
Supplements:    packageand(banshee-1:indicator-sound)

%description extensions-soundmenu
This package provide the SoundMenu extension which is responsible for
integration between Banshee and Ubuntu's SoundMenu (indicator-sound).



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files extensions-soundmenu
%defattr(-,root,root)
%{_libdir}/banshee/Extensions/Banshee.SoundMenu.dll*
%endif

%package dmp
License:        MIT
Summary:        Digital Media Player support for Banshee
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}

%description dmp
Core support for Digital Media Player support. Includes generic
USB mass storage device support.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files dmp
%defattr(-,root,root)
%{_libdir}/banshee/Extensions/Banshee.Dap.dll*
%{_libdir}/banshee/Extensions/Banshee.Dap.MassStorage.dll*
%{_datadir}/banshee/icons/hicolor/*/devices/phone-*

%if 0%{?have_gpod}

%package dmp-apple-devices
License:        MIT
Summary:        Apple(R) iPod(R) Digital Media Player support for Banshee
Group:          Productivity/Multimedia/Sound/Players
Requires:       libgpod-sharp
Requires:       %{name} = %{version}
Requires:       %{name}-dmp = %{version}
Obsoletes:      %{name}-dmp-ipod

%description dmp-apple-devices
Support for iPod(R) devices including the iPod Classic(R) and iPod Nano(R).
Does not support iPod Touch(R) or iPhone(R).

%files dmp-apple-devices
%defattr(-,root,root)
%{_libdir}/banshee/Extensions/Banshee.Dap.AppleDevice.dll*
%{_libdir}/banshee/Extensions/libgpod-sharp*

%else

%package dmp-ipod-devices
License:        MIT
Summary:        Apple(R) iPod(R) Digital Media Player support for Banshee
Group:          Productivity/Multimedia/Sound/Players
Requires:       ipod-sharp podsleuth
Requires:       %{name} = %{version}
Requires:       %{name}-dmp = %{version}

%description dmp-ipod-devices
Support for iPod(R) devices including the iPod Classic(R) and iPod Nano(R).
Does not support iPod Touch(R) or iPhone(R).

%files dmp-ipod-devices
%defattr(-,root,root)
%{_libdir}/banshee/Extensions/Banshee.Dap.Ipod.dll*
%{_libdir}/banshee/Extensions/ipod-sharp*

%endif

%package dmp-mtp
License:        MIT
Summary:        MTP/PlaysForSure Digital Media Player support for Banshee
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}
Requires:       %{name}-dmp = %{version}

%description dmp-mtp
Support for various MTP/PlaysForSure/Certified For Windows Vista(R)
devices as provided by libmtp.



Authors:
--------
    Aaron Bockover <abock@gnome.org>
    Gabriel Burt <gabriel.burt@gmail.com>
    Scott Peterson <lunchtimemama@gmail.com>

%files dmp-mtp
%defattr(-,root,root)
%{_libdir}/banshee/Mtp.dll*
%{_libdir}/banshee/Extensions/Banshee.Dap.Mtp.dll*

%lang_package

%files lang -f banshee.lang

%prep
echo "is_sle11_sp1"
echo "%distribution"
echo "%is_sle11_sp1"
%setup -q -n banshee-%{version}
%if %suse_version > 1110
translation-update-upstream po banshee
%endif
# update pkg-config files for the -devel package since we internalize
# some BuildRequires in cases where we will upgrade a package that 
# might also be provided by the distro (e.g. taglib-sharp)
%if %upstream_project == 1
pushd $RPM_BUILD_DIR/banshee-%{version}/build/pkg-config
for pkg_config in *.pc.in; do
	awk -f %{S:1} < $pkg_config > ${pkg_config}.in
	mv ${pkg_config}.in $pkg_config
done
popd
%endif

%build
%{?env_options}
echo 'dist / suse_version / sles_version'
echo '%distribution ;; %suse_version ;; %sles_version'
%configure \
	--with-vendor-build-id="%distribution" \
%if 0%{?suse_version} >= 1140
    --enable-soundmenu \
%endif
%if %suse_version > 1120
    --disable-hal \
    --disable-ipod \
%endif
%if !0%{?have_gpod}
    --disable-appledevice \
%endif
%if %suse_version > 1110
    --enable-youtube \
%else
    --disable-youtube \
%endif
%if !0%{?have_boo}
	--disable-boo \
%endif
	--disable-docs
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang banshee
chmod -x $RPM_BUILD_ROOT%{_libdir}/banshee/*.config
chmod -x $RPM_BUILD_ROOT%{_libdir}/banshee/*/*.config
%suse_update_desktop_file -r -N "Banshee" -G "Media Player" banshee GNOME Player AudioVideo X-Ximian-Main X-Red-Hat-Base
%suse_update_desktop_file banshee-audiocd
%suse_update_desktop_file banshee-media-player
# If we are building for upstream, we want to bundle libraries that
# we might want to differ from the downstream distribution
%if %upstream_project == 1
for package in taglib-sharp mono-addins; do
	for assembly in $(find %{_prefix}/lib/mono/${package}/ -name \*.dll); do
		cp $(dirname $(readlink -e $assembly))/* $RPM_BUILD_ROOT%{_libdir}/banshee
	done
done
rm -f $RPM_BUILD_ROOT%{_libdir}/banshee/Mono.Addins.MSBuild.dll*
%endif
%if %have_webkit == 1
%if %suse_version <= 1120
cp %{_libdir}/libwebkit-1.0.so.* $RPM_BUILD_ROOT%{_libdir}/banshee
%endif
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"

%changelog
* Mon Apr  4 2011 gburt@suse.de
- Update to 2.0.0 release
  + Notable Bugs Fixed:
  * BansheeMetrics: Only enable collection 5%% of the time
  * Dap.MassStorage: Support the LG Optimus S Android phone (bgo#646593)
  * CoverArt: If cache folder missing, clear last fetch time too
  * Dap.MassStorage: Add support for Sharp IS03 Android phone (bgo#646588)
  * Lastfm: Handle errors when fetching Last.fm user data (bgo#646539)
  * libossifer: Return existing view in create-new-window
  * GnomeScreensaver: Catch errors from Inhibit calls
  * ArtworkManager: Clear art fetch info if cache dir missing
  * CoverArt: Start fetch job on startup, in case of missing imgs
  * Networking: NM 0.9 breaks DBus API; handle it
  * SearchEntry: Change cursor over search menu (bgo#644362)
  * Xspf: Handle Amazon's new cloud .amz files (bgo#646237)
  * Fix ghelp URI so that Help -> Contents works again
  * GlobalActions: Hide the Version Information menu unless debugging
  * ThickClient: Fix Source toolbar buttons hidden at first (bgo#645987)
  * Booter: don't use sgen GC on Linux
  * Album Browser: Fix border getting misdrawn (bgo#644315)
  * AppleDevice: Fix music appearing in Videos in Banshee (bgo#636448)
  * MeeGo: Pause video on window close (bgo#646048)
  * MeeGo: Add more sources to the MeeGo dropdown list (bgo#646042)
  * build: Get MeeGo .desktop path from pkgconfig (bgo#646037)
  * RhapsodyQueryJob: Fix NRE for track with no album (bgo#646028)
  * AppleDevice: Change exception type for better logging
  * MassStorage: Ignore unmounted volumes
  * Mtp: Only unmount devices that are actually mounted
  * Mtp: Ignore devices with DeviceNumber == 0
  * Hardware.Gio: Avoid NREs when getting bus number etc
  * MediaEngine: Fix tests to pass with gapless-capable Gst
  * MediaEngine: Prevent NRE, increment last played on EoS
  * GStreamer: Small fixes
* Thu Mar 24 2011 gburt@suse.de
- Update to 1.9.6 release
  + Enhancements:
  * Rename banshee-1 to banshee in preparation for 2.0
  * AmazonMp3.Store: amazon.ca support
  * MiroGuide: Handle Listen links from front page
  * Dap: Add support for Sharp IS01 (bgo#645361)
  * Playlists: Recognize m3u playlists without header (bgo#645351)
  * LibraryWatcher: Guard against watching incorrect dirs (bgo#633309)
  * MassStorage: Support Sirius Alpha Android phone (bgo#643960)
  * WebOSDevice: Support playlists (bgo#641486)
  * Windows: Auto-update functionality (bgo#641960)
  + Notable Bugs Fixed (26 fixed since 1.9.5):
  * MiroGuide: Properly escape search query strings
  * AmazonMp3.Store: Fix search query escaping
  * bgo#623183: DatabaseTrackInfo: Fix rating update on current track
  * bgo#637717: audio-profiles: fix duration for CBR lame profile
  * bgo#614192: GStreamer: Fix inappropriate repeating
  * bgo#643782: Mpris: Distinguish between music and video playlists
  * bgo#641515: Workaround X BadMatch crash
  * bgo#619609: Metadata: Do not fetch covers for unknown albums/artists
  * bgo#631012: Audiobook: Fix crash when switch to playlist
  * bgo#628087: Handle setting SearchEntry.Query to nullb
  * bgo#602145: InternetRadio: Clear playback errors when playing
  * bgo#635951: Fix skipping removed/deleted tracks
* Wed Mar  9 2011 gburt@suse.de
- Update to 1.9.5 release
  + Enhancements:
  * Add support for handling u1ms:// links
  * Windows: Add Win7 thumbnail toolbar playback buttons
  * OS X Build: Work with new bockbuild, add MonoMac
  + Notable Bugs Fixed (20 fixed since 1.9.4):
  * bgo#644315: Fix album browser's border on Windows
  * bgo#641608: windows: Fix notification icon menu positioning
  * bgo#643188: Help: Fix help URL to library.gnome.org
  * bgo#643407: GStreamerSharp: Properly handle GStreamer errors
  * bgo#641674: SmartPlaylists: Fix queries with { and }
  * Hide 'Unknown Artist' in 'All Albums' browser entry
  + Enhancements from 1.9.4:
  * Various fixes and improvements to the Windows build
  * MultimediaKeys: Support Pause, FastForward, Rewind, Repeat and Shuffle
  * Advertise lastfm scheme handling in the .desktop files
  + Notable Bugs Fixed (25 fixed since 1.9.3):
  * AmazonMp3.Store: Fix the server 'Home' redirect
  * Misc theme and string fixes
  * bgo#638541: Don't try to find subtitle files for music
  * Fix the position label when the stream ends
  * TrackInfoDisplay: Don't display last track when idle
  * bgo#614530: Fixed a ListView glitch
  * bgo#642717: SoundMenu: don't call BlacklistMediaPlayer on startup
* Sun Feb 27 2011 aj@suse.de
- Change lang package Requires to Recommends since it is not
  mandatory at runtime.
* Thu Feb 17 2011 gburt@suse.de
- Fix crash in 'Now Playing' (bgo#641515)
  + Add nowplaying-crash.patch
* Wed Feb 16 2011 gburt@suse.de
- Change Gio backend to required
* Tue Feb  8 2011 gburt@suse.de
- Update to 1.9.3 release
  + Enhancements:
  * Various fixes and improvements to the Windows build
  * MPRIS: Implement the recently added PlaylistChanged signal
  * SoundMenu: Implement the new registration process
  * Daap: Keep a list of recently used remote servers
  * Add back counts for top level libraries
  + Notable Bugs Fixed (36 fixed since 1.9.2):
  * bgo#639603: Fix NRE when current track doesn't have a Uri
  * bgo#486543: Playlists: Fix parsing when started from root directory
  * bgo#640276: AmazonMp3.Store: Fix country detection for United Kingdom
  * bgo#638070: LibraryWatcher: Don't watch non-existing dirs
  * bgo#635779: Fix crash after disabling some extensions
  * bgo#636435: PlayQueueSource: Fix track prepending when not playing
  * bgo#641000: NowPlaying: Fix resizing fullscreen control bar
  * bgo#640455: PlayQueue: Additional padding for the fill controls
- Changes in 1.9.2 release
  + Enhancements:
  * Add support for Nexus S and Xperia X10 mini pro
  * Many improvements and fixes to the F1 user guide
  * SoundMenu: Implement the proper close/quit behavior
  * MPRIS: Implement the Playlists interface
  * Improved write-metadata-to-file performance
  + Notable Bugs Fixed (33 fixed since 1.9.1):
  * bgo#637333: MeeGo: Fix NRE at start up
  * bgo#637350: Fix SimpleTable crash
  * bgo#636077: Fix Podcasts selection bug w/ DAP plugged in
  * bgo#637366: SmartPlaylistSource: Fix NRE with "selected by random"
  * bgo#637365: SmartPlaylistSource: Clear the condition when it's not enabled
  * bgo#637303: FileChooserDialog: Fix error message on first launch
  * bgo#637627: FullscreenWindow: Keep fullscreen when showing volume osd
  * bgo#634652: AppleDevice: Remove invalid tracks before syncing
  * bgo#638477: X11NotificationArea: Enhance check for RGBA visual
  * bgo#637991: SourceRowRenderer: Fix vertical alignment calculation
  * bgo#611796: [Preferences] Have source list use theme icon size
  * bgo#639044: UnknownTrackInfo: Avoid NRE if URI is null
  * bgo#639032: LastfmStreaming: Delete the Loved stations from the database
- GIO Hardware backend requires media-player-info
* Wed Dec 15 2010 gburt@suse.de
- Update to 1.9.1 release
  + New Features Since 1.9.0:
  * Ubuntu One Music Store and SoundMenu Extensions
  * Subtitles
  + Enhancements:
  * Massively rework the podcast edit dialog
  * Let line wrap in properties table
  * Add 'Podcast Properties' to episode menu
  * Show context menu even for 'All' filters
  * Only show tabs if there is more than one
  * Make Play/Pause action tooltip only show play or pause
  * Add support for the LG Ally phone
  * Add dbus method to clear the play queue
  * Allow to clear the play queue while in Populate mode
  * Add back podcast browser
  * Add a new 'Recently Played' default smart playlist
  * Remember sources' column configuration
  * Blank track editor spin buttons when 0
  * Remove Home and Photo folder import sources
  + Notable Bugs Fixed (79 fixed since 1.9.0):
  * bgo#637202: Initialize the ipod each time we load
  * bgo#630209: Fix podcast flag for video podcasts
  * bgo#635780: Prevent GroupSources from being selected
  * bgo#540394: Don't overwrite existing files when ripping
  * bgo#635776: Ensure karma-sharp's DLLmap is copied in the build
  * bgo#634662: Make search entry in MeeGo panel correctly show query
  * bgo#634686: Fix streaming broken after first play
  * bgo#635426: Ensure track filter actions updated
  * bgo#635453: Fix regression with importing mkv
  * bgo#608778: 'Random by' skips user-selected artist/album
* Thu Nov 11 2010 gburt@suse.de
- Update to 1.9.0 release, fixing 56 bugs since 1.8.0
  + New Features Since 1.8.0:
  * Artist/Album Browser Track Actions
  * 'Play After' Queue Options
  * User Interface Improvements
  + Enhancements:
  * Album grid has tooltips for ellipsized text
  * Subscribe to Internet Archive searches as podcasts
  * MusicBrainz cover art search supports CDBaby and Jamendo
  * Support Huawei Ideos Android phones
  + Notable Bugs Fixed (51 fixed since 1.8.0):
  * Remove unused Mono.Addins.Gui dependency
  * Fix checkbox hover prelight in Fixup
  * Always grab search entry focus on ctrl+f
  * [TrackEditor] Don't try to load metadata over HTTP
  * [AppleDevice] Add a matching 'StopSync' call.  We had an unmatched StartSync call which meant that the Sync dialog would be displayed forever.
  * bgo#587936: [AppleDevice] Sync the Sort* fields
  * bgo#631172: [AppleDevice] Fix podcast support
  * bgo#540503: Remove Jump... from context menu
  * bgo#540525: Stop when the playing track is deleted
  * bgo#545998: Sensitize and pluralize podcast actions appropriately
  * bgo#609463: Equalizer distortion
  * bgo#620010: Displaying random image for "All Albums"
  * bgo#623441: Duplicates on import due to character encoding
  * bgo#624734: Allow editing Radio stations again
  * bgo#629005: Full-screen on multi-head displays
  * bgo#629534: TaskStatusIcon missing-ctor crash
  * bgo#630039: Concatenated and untranslatable string
  * bgo#631277: Crash in when editing some tracks' metadata
  * bgo#631687: Non-local tracks added to DAP without extensions
  * bgo#631961: [Gio] Invalid cast exception
  * bgo#632114: Hang when replaying video
  * bgo#632246: Missing-ctor issue in SourceComboBox
  * bgo#632420: [Booter] Use the MeeGo client if appropriate
  * bgo#632715: [Bookmarks] UI not getting loaded
  * bgo#633579: Fixup not getting reloaded correctly
  * bgo#633764: [Dap] not transcoding some files when we should
  * bgo#633841: Recognize webm as video
  * bgo#634096: Empty track # in filename patterns
  * bnc#642505: Insecure LD_LIBRARY_PATH
* Wed Oct 20 2010 abockover@novell.com
- Fix vulnerable LD_LIBRARY_PATH (bnc#642505, CVE-2010-3998)
  + bnc642505-fix-insecure-ld-library-path.patch
* Wed Sep 29 2010 gburt@suse.de
- Update to 1.8.0 release, fixing 40 bugs since 1.7.6
  * bgo#534832 Videos not correctly handled on MTP device
  * bgo#627441 Race condition in ndesk-dbus causes hang
  * bgo#628555 Crash when receiving a VolumeRemoved event
  * bgo#628675 new ipod support doesn't sync playlists
  * bgo#629019 hangs at startup
  * bgo#629179 no longer recognizes mass storage device
  * bgo#630757 AppleDevice mounts my internal harddisk
* Thu Sep 23 2010 gburt@suse.de
- Update to 1.7.6 release, fixing 26 bugs since 1.7.5
  * Decrease the latency in changing playback volume
  * Begin editing the name of newly added playlists
  * Put all videos in the video folder on MTP devices
  * bgo#629314: [AppleDevice] Correct capacity/free values
  * bgo#628992: [AppleDevice]Bundle libgpod-sharp.dll.config fixing crash
  * bgo#628832: [MTP] Fix MTP-device memory issues breaking Playlists, Albums
  * bgo#629095: [MTP] Fix MTP devices being named '???'
  * bgo#629373: [MTP] Workaround MTP sigsegv bug
* Tue Sep  7 2010 vuntz@opensuse.org
- On 11.3 and later, use pkgconfig(gnome-desktop-2.0) BuildRequires
  instead of gnome-desktop-devel since gnome-desktop-devel could
  (and will likely in 11.4) point to a GNOME 3 version of
  gnome-desktop.
* Fri Sep  3 2010 awafaa@opensuse.org
- Fix libgpod-sharp* install location (missing Extensions
- Add Mpris* to extension-default
* Wed Sep  1 2010 gburt@suse.de
- Update to 1.7.5 release, fixing 48 bugs since 1.7.4
  * GIO/udev-based hardware backend
  * Apple Devices backend with support for iPod/iOS devices
  * MPRIS v2 support (Ubuntu Sound Menu, etc)
  * Audiobooks and Miro Guide extensions enabled by default
  * Play menu item in track context menu
  * Amazon affiliate codes for all supported countries
  * "Amazon MP3s" Music smart playlist
  * Miro Guide teaser in Podcasts
  * Zoom support in Amazon MP3 Store and Miro Guide
  * Now Playing simplify mode that declutters the UI
  * Play Queue shuffle action
  * Podcast errors shown to user
  * Better MTP device detection
  * Default smart playlists hidden when empty, for new users
  * New and improved user documentation
  * bgo#626786: Prevent crash in search-for-artist when blank
  * bgo#628388: Fix overflow bug with MTP playlists
  * bgo#625683: Fixup checkboxes now clickable
  * bgo#626928: Fetch podcast artwork asap
  * bgo#626791: Catch crashes caused by missing extensions
  * bgo#528383: Re-enable writing video metadata to file
  * bgo#626803: Fix Ogg rating parsing in non-English locales
* Mon Aug 16 2010 abockover@novell.com
- Support WebKit on sle_version >= 11 (GA or SP1, though it may
  fail on GA, but I can't tell how to differentiate between the two)
* Thu Aug 12 2010 gburt@suse.de
- Add enable_sk.patch to fix build on SLE 11/SP1/openSUSE 11.1
* Wed Aug 11 2010 gburt@suse.de
- Update to 1.7.4 release, fixing 45 bugs since 1.7.3
  * User manual available via Help » Contents menu and F1
  * Duplicate Genre solver in Metadata Fixup extension
  * Support for Amazon MP3 purchases containing PDFs and videos
  * Improved Metadata Fixup support for non-English languages
  * bgo#588255: Fix notification icon transparency
  * bgo#619036: Fix glitchy search entry
  * bgo#625210: Better handling of non-US Amazon stores
  * bgo#624569: Fix scrolling Extensions list with keyboard
  * bgo#625340: Fix .amz mime file conflict with official downloader
  * bgo#553433: Fix issue that could block song scrobbling
  * bgo#600340: Fix subscribing to certain podcasts (eg podbean.com)
  * bgo#620826: Fix URIs of tracks synced to iPods
  * bmc#1115:   Fix a pipeline deadlock evident on MeeGo
* Fri Aug  6 2010 abockover@novell.com
- Fixed a bunch of dependency bugs in the packaging
  * Remove Requires:libmtp8 from banshee-1-extensions-default
  * Remove Requires:boo from banshee-1-extensions-default
  * Do not bundle Mono.Addins.MSBuild.dll, we don't need it, and
    bundling it caused banshee-1-extensions-default to pull in
    the whole xbuild/msbuild framework
- Bundle libwebkit on 11.2 since pulling down our version causes big
  issues with the 1click install due to changing package vendors;
  removed explicit Requires since it's bundled or the distribution
  provides the right version already
- Added fix-ld_library_path-search-order.patch, which corrects the
  search order of the LD_LIBRARY_PATH variable set in our wrapper
  script; this ensures our bundled libwebkit is loaded instead
  of the system version
* Wed Jul 21 2010 abockover@novell.com
- Update to 1.7.3 release, fixing 9 bugs since 1.7.2
  * New Amazon MP3 Store Source, supporting US, UK, FR, DE, and JP storefront
  * Support for downloading and importing Amazon MP3 purchases (.amz files)
  * New Miro Guide Podcast Directory extension integrating with miroguide.com
  * New extension for bulk metadata fixing to merge artists and albums that
    vary only by case, '&' vs 'and', etc.
  * Add visual separators in the source view between categories of sources
  * Culturally format the status bar item count (e.g. in en_US 1,000
    instead of the old 1000)
  * Improve the downloading and visual refreshing of new cover art
  * Tweak the grid view album artwork hover effect
  * New Banshee.WebBrowser API
  * New Hyena.Downloader API
  * Drop dependency of webkit-sharp, take dependency directly on
    libwebkit 1.2.2+ for new Banshee.WebBrowser API
  * bgo#624667: Fix cover art refreshing
  * bgo#622826: Fix a slow running query to speed things up
  * bgo#602840: Fix importing of compilation albums
  * bgo#622028: Fix loading of libbnpx11.so on some distros
  * bgo#621955: Wrap instead of elipsize Last.fm titles
  * bgo#608382: Escape %%20 in filenames for items without embedded metadata
  * bgo#624531: Escape Uri value in SQL query
* Fri Jun  4 2010 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Sat May 29 2010 gburt@suse.de
- Update to 1.7.1 release, fixing 18 bugs since 1.7.0
  * Improvements for Audiobooks support
  * New preference to have the classic album layout instead of the grid view
  * Last.fm streaming can be disabled separately from the other Last.fm
    features.
  * Support for reading and writing MusicBrainz IDs
  * Show the TrackEditor fields as read-only mode when they are not editable
  * Fix Youtube playback
  * Fix deletion of Podcast metadata during modification
  * Fix a crash related to the notification deamon
  * Fix fetching cover for albums with several discs
  * Several fixes for the N800 device
* Wed May  5 2010 gburt@suse.de
- Update to 1.7.0 release, fixing 41 bugs since 1.6.0
  * Add Keybinding for Switching Sources
  * Connect to Remote DAAP Servers
  * Improved Last.fm authentication experience
  * Improved Maemo device support
  * DBus API additions for showing various dialogs
  * DEXT/CLIQ and Galaxy Portal device support
  * Many MeeGo specific improvements and fixes
  * Fix for fullscreen video under Mutter
  * Fix videos playing back in a new window
  * Fix crashes related to Gtk.Widget subclassing
  * Fix crashes related to a11y
  * NotificationArea fixes
  * Cover art aspect ratio/scaling fixes
* Wed Mar 31 2010 gburt@suse.de
- Update to 1.6.0 release, fixing 30 bugs since 1.5.6
  * Fix device support on upcoming distros with DeviceKit rename
  * Restore equalizer preset correctly (bgo#614313)
  * Handle broken symlinks correctly (bgo#614065)
  * Allow overriding Android, Maemo, WebOS default settings (bgo#611991)
  * Fix crash deleting playlist on mass storage device (bgo#613734)
  * Fix issue with iTunes importer dialog sizing (bgo#613607)
  * Fix play count calculation with gapless enabled (bgo#613418)
  * Handle exceptions thrown by old plugins (Mirage, etc)
  * Use panel-specific (eg monochrome) icon in notification area
  * OS X build/bundle improvements
  * Fix Windows compilation issues
  * Fix gettext locale selection on Windows
* Mon Mar 22 2010 abockover@novell.com
- Update to 1.5.6 release, fixing 44 bugs since 1.5.5
  * Fix rendering and interaction bugs in the grid view
  * Fix issue with volume getting reset on every song change
  * Handle volume changes from outside Banshee (eg PulseAudio)
  * Fix issue parsing some RSS feeds
  * Fix library importing and rescanning on all IO backends
  * Support coverart for albums without an artist (bgo#612626)
  * Don't capture 's' presses if keybindings disabled
  * Fix typing in the Wikipedia webkit view
  * Fix equalizer settings migration (bgo#612669)
  * Redraw the entire ListView when dragging columns
  * Increase podcast download timeout
  * Fix bad startup crash in PlayQueue on old Mono
  * Fix "Too many open files" bug with GIO backend
  * [Banshee.Hardware] Handle exceptions (bgo#613173)
  * [PodcastActions] Unsubscribe from an event on dispose
  * [ContextPane] Fix crash if active removed (bgo#613277)
  * [LastfmSource] Fix crash (bgo#612824)
  * [Lastfm] Fix crash using auth Refresh button (bgo#610911)
  * [Lastfm] Fix crash (bgo#613276)
  * Fix compilation error with older Mono
  * Fix compilation error with bundled notify-sharp
  * Fix --disable-youtube flag
  * Set YouTube install dir to Extensions/
  * Fix building with older GStreamer (bgo#613339)
* Wed Mar 17 2010 gburt@suse.de
- Require libmtp8, not libmtp
* Tue Mar 16 2010 gburt@suse.de
- Fix extensions-default Requires
* Thu Mar 11 2010 gburt@suse.de
- Update to 1.5.5 release
  * Minor feature and bug fix/stability release
  - Gapless Playback / Playbin2
  - Grid View
  - YouTube Extension
  * Enhancements:
  - Improve search responsiveness on large libraries
  - Add icons for Nexus One and Audiobooks
  - Play Queue item count, size, duration now ignores old tracks
  - Muinshee fixes: disable Auto-DJ, allow reordering, hide previous song
  * Notable bug fixes:
  - Fix a very common, SQL-related crash in 1.5.4
  - Fix saving equalizer settings in culture-invariant way
  - Jumping to a source's prefs via its context menu works again
  - Usage data not submitted more than every 48 hours
  - Fix repeatedly resyncing some files to a device b/c transcoded
  - Clear the redo stack on shuffle mode change
  - Accept feeds with empty title
  - Uri encode file location queries, making them work properly
  - Fixes to the OS X build
  * 26 bugs were fixed since 1.5.4
* Wed Feb 24 2010 gburt@suse.de
- Update to 1.5.4 release
  * Minor feature and bug fix/stability release
  * New features:
  - Opt-In Usage Data Collection
  - Default Equalizer Presets
  - Banshee Community Extensions
  - Extensible Shuffle Modes
  * Enhancements:
  - Wikipedia context pane extension enabled by default
  - Add support for Nokia N900 phones
  - Add tooltip to playback error column
  - On close Internet Archive item, return to Search
  - Notify user if try to sync missing file to DAP
  - Popup explanation of manual playlist ordering when appropriate
  - Simplify the default set of columns in Podcasts
  - Enable 'Delete From Drive' action in File System Queue
  - Make debuggable from within MonoDevelop
  - Coverart for unicode artist/albums now supported
  - Dropped glade-sharp dep; GNOME 3.0 ready
  - Add columns showing track sample rate and bits per sample
  - Option to sort an artist's albums by year, not title
  * Notable bug fixes:
  - Fixes to GIO backend
  - Many crash/startup fixes for OS X build
  - Enable LibraryWatcher only for Music and Video libraries
  - Do better job preserving IsCompilation metadata
  - Store some PlayQueue settings in the db (not GConf)
  - Update to Last.fm's API change for scrobbling/recs
  - Bring back static FileNamePattern API used by some scripts
  - Fix several memory leaks
  * 40 bugs were fixed since 1.5.3
* Wed Jan 27 2010 gburt@suse.de
- Enable building GIO backend
* Wed Jan 27 2010 gburt@suse.de
- Fix issue with muinshee getting installed instead of
  the classic client on some versions of SUSE
* Wed Jan 27 2010 gburt@suse.de
- Update to 1.5.3 release
  * Minor feature and bug fix/stability release
  * New features
  - Sync device from playlist option
  - Type-ahead find in track, artist, and album lists
  - Optional cover art in lower-left corner
  - Cover art editable via drag-and-drop and right-click
  - Audiobooks library extension
  - Library-folder watcher extension
  - eMusic importer/downloader extension
  - GIO file backend, supports non-local files
  - Return of the Mac OS X release
  * Enhancements:
  - Improved Podcast filtering/browsing
  - Extension preferences tab reworked
  - Extension names/descriptions translated
  - Improved sqlite performance
  - Added --set-rating=RATING command line option
  - Support for Nexus One devices
  * Notable bug fixes:
  - DAPs (ipods, etc) should work on DeviceKit-using distros
  - Fix issue with DAAP authenticating
  - Podcast renaming should work well now
  - Podcast download cancelling is now fast
  - Internet Archive results paging off-by-one fixed
  - Should build with older Mono/Gtk# again (eg on openSUSE 11.0)
  - Fix issue with MTP devices on 64-bit distros
  * 75 bugs were fixed since 1.5.2
* Fri Nov 20 2009 abockover@novell.com
- Update to 1.5.2 release
  * Minor feature and bug fix/stability release
  * New features
  - The Internet Archive extension
  - The iTunes importer
  - Metadata ratings and playcount import and export
  - Add support for Pulse and Droid phones
  - Use new Last.fm API
  * Enhancements
  - Many accessibility enhancements
  - When sorting by score also sort by playcount (bgo#598431)
  - Add WICD support (bgo#596918)
  - Add the USB id for the Palm Pre in developer mode
  - Improve the import media dialog (bgo#559013)
  - Allow seeking in DAAP streams
  - Tooltip for the AutoDJ source combobox (bgo#598504)
  - Improve recognition of Android devices
  - Recognize Samsung Galaxy device in debug mode
  - PlaybackError query field (bgo#590946)
  - Additional tokens for file system organization (bgo#489861)
  - Remember direction when sorting the list view (bgo#590869)
  - Cleaner track change notification popup (bgo#565453)
  - Move Last.fm settings to the preferences dialog
  - Double click toggles fullscreen in Now Playing (bgo#577971)
  * Notable bug fixes
  - Fix the playcount update (bgo#563021)
  - Correct default button in message dialogs (bgo#599495)
  - Hide shuffle menu when shuffling is disabled (bgo#599465)
  - Fix bug with AutoDJ updating LastPlayed erroneously (bgo#594701)
  - Fix next playback source (bgo#599834)
  - Fix adding tracks to the play queue (bgo#600498)
  - Fix up iPod podcast support (bgo#434237)
  - Fix cover art pick up for multi-disc albums (bgo#591982)
  - Fix the play queue when StopWhenFinished is on (bgo#563021)
  - Fix race when saving track metadata (bgo#598321)
  * 49 bugs were fixed since 1.5.1
* Wed Sep 30 2009 abockover@novell.com
- Update to 1.5.1 release
  * Major feature and bug fix/stability release
  * New features
  - Play Queue Auto DJ keeps the tunes coming
  - Shuffle by album and artist
  - Shuffle by weighted rating and score mode
  - Add tooltips for ellipsized list view text
  - Keep the playing song visible in the track list
  - Add support for WebOS/Pre devices
  - Add support for the Samsung Galaxy Android Phone
  - Scores of other enhancements and minor features
  * Major bugs fixed
  - Fix MimeTypes for tracks ripped before 1.4 (bgo##536590)
  - Fix compilation metadata reading and writing (bgo#563283)
  - Work with new notification-daemon (bgo#565876)
  - Avoid needlessly syncing iPods twice
  - Fix crash in equalizer (bgo #548912)
  - Prevent endless "Searching for CD metadata..." (bgo#527788)
  - Dispose the SqliteCommand after it's executed (bgo#586498)
  - Fix crash when opening the profile conf dialog (bgo#587308)
  - Fix editor always prompting to save podcasts (bgo#584880)
  - Fix initial track score calculation (bgo#594568)
  - Many, many, many more bug fixes
  - ~130 bugs were fixed since 1.5.0
  - ~250 bugs were fixed since 1.4.3 (last packaged release)
- Major packaging changes
  * Split Boo extension into an -extensions-boo package
  * Split Digital Media Player extensions into -dmp (core libraries
    and the generic USB mass storage support), -dmp-ipod, and
  - dmp-mtp packages (since they have extra deps)
  * Split clients into separate packages (-client-classic and
  - client-muinshee); each client provides banshee-1-client
  * Split core libraries, services, and resources into the -core
    package
  * The root package is basically a meta package now that requires
    a client package, the GStreamer engine, the UNIX backend, and
    recommends the classic client, and some extensions
- All patches and translation overlays removed since they are
  merged into the upstream release
* Tue Aug 25 2009 aj@suse.de
- Add build require on mono-zeroconf-devel to fix build.
* Sat Aug 15 2009 beineri@opensuse.org
- fix duplicate appearance of Banshee in (KDE) start menu
* Wed Mar  4 2009 abockover@novell.com
- Update to 1.4.3 release
  * Bug-fix-only release
  * 17 bugs fixed since 1.4.2 (most of which were already applied)
  * Removed the Novell translations since I disagree with the way
    we handle them with upstream - the upstream translations are
    rather complete (~93%%); kept the Korean translation since one
    does not exist upstream
* Wed Feb  4 2009 gburt@suse.de
- Patch fixing playlists not being saved to DAPs (bnc#472526)
- Patch fixing adding files to MTP devices (bnc#472524)
- Patch renaming sr@Latn translation to sr@latin (bnc#472522)
* Fri Jan 30 2009 gburt@suse.de
- Patch fixing freeze on DAP load (bnc#465214)
- Patch fixing crash on delete from File System Queue (bnc#467377)
- Patch fixing crash on MTP device load (bnc#470722)
- Patch fixing hang while loading streams (bnc#376532)
* Wed Jan 21 2009 abockover@novell.com
- Patch to fix RPMLINT warning about trailing ; on MimeType field
  in .desktop files
- Remove some legacy hacks for dealing with openSUSE < 10.3
- Add logic to bundle certain assemblies when we are building from
  the upstream/devel OBS project (Banshee) and not openSUSE or SLE
  to allow us to do safe intermediate upgrades of packages outside
  of the distro
* Tue Jan 20 2009 abockover@novell.com
- Update to 1.4.2
- Bug fix only release that includes all previous patches to 1.4.1
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Sun Jan 11 2009 gburt@suse.de
- Patch to fix support for itms podcast subscription inks (bnc#465149)
- Patch to fix freeze caused by submitting Last.fm now playing (bnc#465215)
* Sun Jan 11 2009 abockover@novell.com
- Patch to support Nautilus/GIO device actions (play CD, highlight
  media player, etc) (bnc#461677)
- Patch to prevent DAAP service from crashing (bnc#465159)
- Patch to allow persisting build metadata and vendor information in
  assemblies, and show in log file to help with better bug reports;
  adds --with-vendor-build-id="%%distribution" to the spec
* Sat Jan 10 2009 abockover@novell.com
- Fix up desktop files (bnc#456120, bnc#459993, bnc#440615, bnc#461677)
- Fix primary desktop file to -N "Banshee" -G "Media Player" (bnc#433594)
* Sat Jan 10 2009 abockover@novell.com
- Patch to set the mimetype for ripped tracks (bnc#464889)
- Patch to handle spaces in command line arguments (bnc#440883)
- Patch to make xx_YY langs work from xml:lang, fixes zh_CN et al (bnc#449788)
- Patch for API compat fix for 1.4.2 (bgo#562151)
- Patch to show audio CDs in import dialog, fixes SLE 10 regression (bnc#457918)
* Fri Jan  9 2009 gburt@suse.de
- Patch to fix handling of internet radio loading (bnc#456120)
* Thu Jan  8 2009 gburt@suse.de
- Patch to avoid Rescan tool podcast bug (bnc#464604)
- Patch to avoid Rescan tool gui glitch (bnc#462304)
- Patch for non-UTF8 RSS parsing (bnc#459084)
- Patch to show .MP3 in import dialog (bnc#464608)
- Patch for less rigid rss date parsing - bnc#464612)
- Patch to fix genre-search casing bug (bnc#464615)
- Patch for non-ASCII scrobbling (bnc#464613)
- Patch for podcast published date (bnc#464617)
- Patch for duplicate albums b/c compilation support (bnc#464619)
- Patch for track count editor fix (bnc#464620)
- Patch to remove /tmp extension loading (bnc#464622)
- Patch for pack/add browser fix (bnc#464629)
* Fri Dec 19 2008 gburt@suse.de
- Patch to fix podcast-related DAP crash (bnc#464627)
- Patch to fix DAAP-related freeze on startup (bnc#450125)
- Patch to fix bug that prevented unsubscribing from a podcast (bnc#464624)
- Patch to fix crash when using Banshee in certain languages and inserting
  an audio CD (bnc#464626)
* Fri Dec 12 2008 mauro@suse.de
- Patch to fix bnc#447606 Unlocalised text on Equalizer menu
* Fri Nov 21 2008 abockover@suse.de
- Patch to create music directory in prefs dialog (bnc#432754)
- Remove Real audio/video mime types from .desktop file (bnc#440615)
- Fix an issue with generics for gmcs (bgo#561392)
- Allow escape key to close the equalizer dialog (bgo#552818)
- Allow last track in a folder to be deleted on mass storage DAPs (bgo##560550)
- Updated translations
* Mon Nov 10 2008 abockover@suse.de
- Updated to 1.4.1 Release
  * Fix some API/extensibility issues to ensure 1.4 API will not need to break
  * Fixed assembly versioning to be static as 1.4.0.0 to ensure compat
  * Store known devices in the extension manfiest to ensure other devices
    can be added later externally (forward compat)
  * Updated G1 icons from Jakub Steiner
  * Cosmetic fixes (spacing/padding/alignment) with the DAP overview page
  * Fix build issue with 10.3
  * Fix build issue with Mono trunk
* Fri Nov  7 2008 abockover@suse.de
- Updated to 1.4.0.1 Release
  * Fixes an issue with the G1 not reading cover art at wrong folder depth
  * Fix a path typo
* Fri Nov  7 2008 abockover@suse.de
- Updated to 1.4.0 Release
  * Fixes on top of mass storage extension support T-Mobile G1/Android Phone
  * Added verification tool at build time to test DLL mapping to
    avoid further bugs like bgo#557868 and bnc#440409
  * Worked around a potential Mono bug causing a crash (bgo#556573)
  * Fixes in the track editor to avoid false positives on edit-save confirm
  * Fixed track edito auto-order for track-number/count
  * Fixed a seldom seen crasher (bnc#557867)
* Fri Oct 31 2008 gburt@suse.de
- Fix critical bug in our dll mapping config (bgo#557868, bnc#440409)
* Sat Oct 25 2008 abockover@suse.de
- Updated to 1.3.3 Release
  * Small Bug-fix only release
  - Removed code that prompted/set Banshee as default player (bnc#433096)
  - Bug fix in equalizer element fixing crash (bnc#557260)
  - Fixed bug where play queue would stop after every song (bnc#557386)
  - Allow prepending the play queue over DBus (for GNOME Do) (bnc##557526)
* Mon Oct 13 2008 abockover@suse.de
- Fixed .desktop file (bnc#433594)
* Mon Oct 13 2008 abockover@suse.de
- Updated to 1.3.2 Release
  * Minor features/improvements:
  - Allow queueing files via dbus
  - Fix to allow the podcast primary source to contain [smart] playlists
  - When finished playing from the play queue, play the song after
    the song we left off from, or stop playing if nothing was playing before
  - Improved podcast refresh timing
  - Import all white-listed files, even if TagLib# doesn't recognize them
  - Cache and store images directly as Cairo ImageSurfaces, yielding
    performance and memory improvements
  - Major memory leak and performance fixes (avoid PangoContext leak)
  - Enable autocomplete in editor for artist, album, and album artist
  - Many improvements and fixes to the collection indexer, ready for external
    applications to consume now
  * 59 bugs were closed since 1.3.1
  * Notable Bugs FIXED:
  - Fix bug with non-JPEG cover art (bgo#388162)
  - Remember the user's smart playlist units (bgo#545887)
  - Look for PNG and BMP artwork in the album's folder (bgo#547841)
  - Avoid showing album art for 'unknown' artists (bgo#549320)
  - Jump to playing podcast and radio station now work
  - Fix bug with default CD importing profile (bgo#528621)
  - libmtp8 support (bgo#542117)
  - Fix bug with switching themes and things not getting updated
  - Recommendations and DAP storage panes are visible again
  - F11 toggles fullscreen (bgo#553440)
  - Remove newlines from podcast titles and descriptions (bgo#550008)
  - Fix issue with the Seek slider and recent versions of Gtk# (bgo#536397)
  - Fix bug with showing/selecting invalid profile for DAP transcoding
* Mon Sep 22 2008 abockover@suse.de
- Updated to 1.3.1 Release
  * Minor feature/cosmetic improvements:
  - Improved track editor UI and usability
  - Break columns context menu into two columns for easier navigation
  - Many fixes regarding column resizing and default widths
  * 42 bugs were closed since 1.3.0
  * Notable Bugs FIXED:
  - Remember sorting per source (bgo#524656)
  - Fix audio CD crash bug
  - Dialogs' translation domain properly set (bgo#536268)
  - Fix recent regression where the ListView scrolled to the top
    when switching sources
  - Allow shrinking selections with shift-click (bgo#535561)
  - Fix issue with it taking two clicks on the notification icon to
  get the main window visible, if Banshee was minimized (bgo#551916)
  - Don't give UI indication that the track list is sortable unless
  it really is (bgo#551969)
* Thu Sep 11 2008 abockover@suse.de
- Updated to 1.3.0 Release
  * Features & Enhancements
  - Vastly improved portable media player support
    o Automatic/proper synchronization mode
    o Playlists and smart playlists can be saved to devices (fate#303577)
    o Cover art can be synced to mass storage devices
  - Library rescanning - can now detect newly added, removed, and
    relocated files and update its collection (fate#5152)
  - Option to rename files when metadata changes
  - Collection indexer service with DBus API for third party apps
    like GNOME Do, Beagle, Tangerine to query/index (dep. of fate#303568)
  - Flat-file playlists can be opened from command line (fate#303576)
  - Podcasting improvements
  - New fancy cover art UI for the Now Playing source
  - ReplayGain level correction support
  - Improved performance of the album/podcast browsers
  - Offline mode (disable features requiring network access)
  - Banshee will now ask if it should be the default media player
  - Support for extra metadata fields including BPM, Grouping, BitRate,
    Conductor, DiscCount, and IsCompilation: read/write/colums/query support
  * 64 bugs were closed since 1.2.1
  * Notable Bugs FIXED:
  - Drag and Drop to Nautilus works again (bgo#535128)
  - Improved support for dark themes (bgo#544840)
  - Improved ASX support (bgo#545646)
  - Fix performance bug with loading USB Mass Storage DAPs (bgo#548254)
  - Fix bug with the DAP usage bar being filtered (bgo#537366)
  - Fix performance issue with album and podcast browsers (bgo#547628)
* Wed Aug 27 2008 abockover@suse.de
- Add a define based on if we are in OBS or autobuild
- Only call suse_update_desktop_file in autobuild, since parity
  between OBS and autobuild is a myth, and we don't want to nuke
  upstream translations in our desktop file
* Fri Aug 15 2008 abockover@suse.de
- BuildRequires for boo-devel, it provides the .pc file
* Thu Aug 14 2008 abockover@suse.de
- Enabled Boo support for openSUSE 11.1 and newer now that the
  boo package is properly split into boo and boo-devel to avoid
  a painful and unnecessary dependency chain
- spec file cleanup
* Tue Aug 12 2008 gburt@suse.de
- Add patch to fix common crash for tracks without cover art (bgo#547520)
* Tue Aug 12 2008 abockover@suse.de
- Updated to 1.2.1 Release
  * Features & Enhancements
  - Drag and drop albums or artists from the browser
  - New import source to aid in importing videos from your camera
  - Show cover art in Now Playing
  - Pressing play will play the first track selected if nothing is loaded
  - Pressing o on a track selection behaves the same as pressing enter
  - Include never-played tracks when querying against last played
  - Prefer cover art named cover/folder/front.jpg over other image files
  - Translation updates from 19 translators
  * 24 Bugs FIXED since Banshee 1.2.0
  * Notable bugs FIXED:
  - Fix bug with loading USB Mass Storage Players
  - Fix ASX and mms:// support
  - Fix a common crash when quitting Banshee 1.2
  - Amarok importer now migrates date added and last played
  - Fix crash when editing smart playlists with date fields
  - 24 bugs fixed since 1.2
* Mon Aug  4 2008 abockover@suse.de
- Updated to 1.2 Release (1.2.0)
  * Major new features bringing full parity to 0.13.2:
  - 10-band equalizer with preset support
  - Multi-Artist (Compilation/Various) Album Support
  - Internet Radio
  - Recommendations pane
  - DAAP/Music Sharing
  - Playlist importing
  - Manual track reordering of playlists/play queue
  - Amarok database migration
  * 82 Bugs FIXED since Banshee 1.0
  * Notable bugs FIXED:
  - More robust parsing of podcast (RSS) files
  - Find and use cover art from the album folder (cover.jpg, etc)
  - Add Last.fm as a cover art provider
  - The last playback source is used when the Play Queue is empty
  - Better performance (start up time, memory usage, searching, etc)
  - Disable the screensaver when in fullscreen mode
  - Much improved performance and UI for automatic cover art fetching
  - Fix issues with importing and playing files in folders named Music*
* Mon Jun  9 2008 jpr@suse.de
- Turn off boo scripting, it causes too many dependencies in a
  stock install
* Thu Jun  5 2008 abockover@suse.de
- Updated to 1.0 Final Release (1.0.0)
  * 57 Bugs FIXED since RC1
  * Notable bugs FIXED:
  - Fix GUI identifying podcast items to avoid dupes (bgo#536555)
  - Use standard seek/position widget in popup (bgo#536396)
  - Fix metacity focus bug in fullscreen (bgo#531187)
  - Fix GTK theme issues (bgo#536052, bgo#534731)
  - Show fullscreen on same monitor as parent window (bgo#535982)
  - Fix player engine DBus support (bgo#534472)
  - Added matching for oga and ogv extensions (bgo#532561)
  - Fix crash when ejecting hardware (bgo#535898)
  - Only set rating when mouse is released (bgo#535338)
  - Use proper icon in notif area depending on panel size (bgo#526333)
  - Set notification window hint on popup (bgo#526326)
  - Fixed a number of DBus API issues (bgo#532215)
  * Fixed audio CD duplication through Brasero and Nautilus
  * Fixed GStreamer plugin installation hooks
  * Show full --help information to expose command line functions
- Since 1.0 Alpha 3:
  * Full iPod and MTP support including video sync
  * Default smart playlist selection
  * Mini mode extension
  * Extension manager
  * Boo scripting support
  * Full screen video support
  * Podcast support (including video)
  * Auto-rip CD importing
  * CD Burning through Brasero
  * New device status bar
  * Automatic cover art downloader
  * DBus command line client
  * Single instance support
  * File system/local queue support
  * Over 100 bugs fixed
* Fri May 30 2008 abockover@suse.de
- Updated to 1.0 RC1 Release (0.99.3)
  * Full iPod and MTP support including video sync
  * Default smart playlist selection
  * Mini mode extension
  * Extension manager
  * Boo scripting support
  * Full screen video support
  * Podcast support (including video)
  * Auto-rip CD importing
  * CD Burning through Brasero
  * New device status bar
  * Automatic cover art downloader
  * DBus command line client
  * Single instance support
  * File system/local queue support
  * Over 100 bugs fixed
* Wed May 28 2008 sbrabec@suse.cz
- Do not call gtk-update-icon-cache (bnc#395056).
* Tue Apr 15 2008 coolo@suse.de
- disable parallel build to fix build
* Thu Apr 10 2008 abockover@suse.de
- Updated to 1.0 Alpha 3 Release (0.98.3)
  * Adds audio CD playback and ripping
  * Adds USB Mass Storage Digital Audio Player syncing
  * New experimental shuffle UI was added
  * Repeat modes now work
  * Jump to song was implemented
  * Full screen mode was implemented (not video)
  * Visual improvements in Last.fm
  * Cairo widgets (list view, track header) respect system DPI
  * Over 40 other bugs fixed since 0.98.2
* Wed Mar 26 2008 abockover@suse.de
- Updated to 1.0 Alpha 2 Release (0.98.2)
  * Adds video importing, collection management, and playback
  * Cache files respect XDG_CACHE_HOME
  * List view settings are preserved (column width/visibility)
  * Play Count, Skip Count, Last Played, and Last Skipped are updated
  * Allow editing of artist and album names
  * Start playing when artist or album browser is double clicked
  * Bookmarks extension was ported to 1.0 APIs
  * Date-based searches and smart playlists should be working much better
  * Initialize the translation Catalog so translations can actually be used
  * Improved support for dark themes
  * Disable the equalizer temporarily until gstreamer pipeline issues resolved
- Removed the icon fix patch; rolled into upstream
* Fri Mar 14 2008 abockover@suse.de
- Added a patch to fix the icon name bug found after the release
* Fri Mar 14 2008 abockover@suse.de
- Initial package for Banshee 1.0
- Banshee 1.0 Alpha 1 Release (0.98.1)
- Can be installed and used in parallel with previous Banshee (banshee-*)
- http://banshee-project.org/Releases/0.98.1
